<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>JSDoc: Source: Utilidades.js</title>

    <script src="scripts/prettify/prettify.js"> </script>
    <script src="scripts/prettify/lang-css.js"> </script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify-tomorrow.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc-default.css">
</head>

<body>

<div id="main">

    <h1 class="page-title">Source: Utilidades.js</h1>

    



    
    <section>
        <article>
            <pre class="prettyprint source linenums"><code>'use strict';
var models = require('../../models');
var uuid = require('uuid');
const bcrypt = require('bcrypt');
const saltRounds = 8;

/**
 * @function crear_roles
 * @description Permite crear todos los roles y además crea un usuario Admin por defecto
 * @returns {undefined}
 */
function crear_roles() {
    var rol = models.rol;
    rol.findAll().then(function (lista) {
        if (lista.length === 0) {
            rol.bulkCreate([
                {nombre_rol: 'administrador'},
                {nombre_rol: 'usuario'},
                {nombre_rol: 'premium'}
            ]).then(() => {
                return rol.findOne({where: {nombre_rol: 'administrador'}});
            }).then(rolAdmin => {
                var persona = models.persona;
                var generateHash = function (clave) {
                    return bcrypt.hashSync(clave, bcrypt.genSaltSync(saltRounds), null);
                };
                var data = {
                    apellidos: "Administrador",
                    nombres: "Administrador",
                    fecha_nac: "1999-04-20",
                    telefono: "0939694489",
                    foto: "logob.png",
                    external_id: uuid.v4(),
                    id_rol: rolAdmin.id,
                    usuario: {
                        correo: 'admin@admin.com',
                        clave: generateHash('1234'),
                        estado: true,
                        external_id: uuid.v4()
                    },
                    artista: {
                        nom_artista: 'Admin',
                        tipo_artista: 'Administrador',
                        external_id: uuid.v4()
                    }
                };
                persona.create(data, {include: [{model: models.usuario, as: 'usuario'}, {model: models.artista, as: 'artista'}]});
            });
        }
    });
}

module.exports = {crear_roles};</code></pre>
        </article>
    </section>




</div>

<nav>
    <h2><a href="index.html">Home</a></h2><h3>Global</h3><ul><li><a href="global.html#crear_roles">crear_roles</a></li></ul>
</nav>

<br class="clear">

<footer>
    Documentation generated by <a href="https://github.com/jsdoc/jsdoc">JSDoc 3.6.3</a> on Sun Aug 25 2019 04:30:42 GMT-0500 (GMT-05:00)
</footer>

<script> prettyPrint(); </script>
<script src="scripts/linenumber.js"> </script>
</body>
</html>
